/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.index.tree.internal.parentchild;

import javax.inject.Inject;
import javax.inject.Named;

import org.xwiki.component.annotation.Component;
import org.xwiki.component.annotation.InstantiationStrategy;
import org.xwiki.component.descriptor.ComponentInstantiationStrategy;
import org.xwiki.component.phase.InitializationException;
import org.xwiki.tree.TreeNode;

/**
 * The wiki tree node for the (deprecated) parent-child hierarchy.
 * 
 * @version $Id: a8d94f2eae6b51b3ea2ee4a7dd5328919f32b4f4 $
 * @since 8.3M2
 * @since 7.4.5
 */
@Component
@Named("wiki/parentChild")
@InstantiationStrategy(ComponentInstantiationStrategy.PER_LOOKUP)
public class WikiTreeNode extends org.xwiki.index.tree.internal.nestedpages.WikiTreeNode
{
    @Inject
    @Named("childDocuments/parentChild")
    private TreeNode childDocuments;

    @Override
    public void initialize() throws InitializationException
    {
        this.childNodes.addTreeNode(this.childDocuments, nodeId -> true);
    }
}
