/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rest.internal;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.xwiki.model.reference.DocumentReference;
import org.xwiki.model.reference.SpaceReference;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Validate {@link Utils}.
 * 
 * @version $Id: 75dbd0e1d6e21a9419de92b5d97a0b87149292ae $
 */
class UtilsTest
{
    @Test
    void getSpacesURLElements()
    {
        assertEquals(List.of("space1", "spaces", "space2"),
            Utils.getSpacesURLElements(new DocumentReference("wiki", List.of("space1", "space2"), "document")));

        assertEquals(List.of("space1"),
            Utils.getSpacesURLElements(new DocumentReference("wiki", List.of("space1"), "document")));

        assertEquals(List.of("space1", "spaces", "space2"),
            Utils.getSpacesURLElements(new SpaceReference("wiki", List.of("space1", "space2"))));

        assertEquals(List.of("space1"),
            Utils.getSpacesURLElements(new SpaceReference("wiki", List.of("space1"))));
    }
}
